All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
FilterPrewitt
Fixed Filters

Filters the image using a Prewitt filter kernel. More...

## FilterPrewittHoriz

Filters the image using a horizontal Prewitt filter kernel:
NppStatus | nppiFilterPrewittHoriz_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned horizontal Prewitt filter, ignoring alpha channel. More...
NppStatus | nppiFilterPrewittHoriz_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed horizontal Prewitt filter, ignoring alpha channel. More...
NppStatus | nppiFilterPrewittHoriz_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point horizontal Prewitt filter. More...
NppStatus | nppiFilterPrewittHoriz_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittHoriz_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point horizontal Prewitt filter, ignoring alpha channel. More...
NppStatus | nppiFilterPrewittHoriz_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)

## FilterPrewittVert

Filters the image using a vertical Prewitt filter kernel:
NppStatus | nppiFilterPrewittVert_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned vertical Prewitt filter, ignoring alpha channel. More...
NppStatus | nppiFilterPrewittVert_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed vertical Prewitt filter, ignoring alpha channel. More...
NppStatus | nppiFilterPrewittVert_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point vertical Prewitt filter. More...
NppStatus | nppiFilterPrewittVert_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterPrewittVert_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point vertical Prewitt filter, ignoring alpha channel. More...
NppStatus | nppiFilterPrewittVert_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)

## Detailed Description

Filters the image using a Prewitt filter kernel.

### Common parameters for nppiFilterPrewitt functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterPrewittHoriz_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed horizontal Prewitt filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point horizontal Prewitt filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned horizontal Prewitt filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittHoriz_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittHoriz_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned horizontal Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed vertical Prewitt filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point vertical Prewitt filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned vertical Prewitt filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

NppStatus nppiFilterPrewittVert_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterPrewittVert_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned vertical Prewitt filter.

For common parameter descriptions, see Common parameters for nppiFilterPrewitt functions.

Copyright © 2009-2019 NVIDIA Corporation